Rule (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.acl.Rule interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net.acl
Interface Rule

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Rule

extends LogicalElement

A rule defines a set of criteria for a access list that are associated with a certain action for the packet.

Author:
  yashika, sathvanth
Naming Rules:
  0="parent,ruleIndex"
Persistable:
  true
Table Name:
  ACLRULE
Display Name:
  ruleIndex

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getDestEndingPort()`
`IpAddress` | `getDestMask()`
`int` | `getDestStartingPort()`
`java.lang.String` | `getDirection()` Display string for the UI
`int` | `getDirectionIndex()`
`IpAddress[]` | `getDstAddressList()`
`L2Interface` | `getIntf()`
`int` | `getIntfIndex()`
`java.lang.String` | `getIntfName()`
`int` | `getIpProtocol()`
`Acl` | `getParent()`
`java.lang.String` | `getRuleAction()`
`int` | `getRuleIndex()`
`NetworkService[]` | `getServiceList()`
`java.lang.String` | `getServiceName()`
`IpAddress[]` | `getSrcAddressList()` Acls contain a set of Rules
`int` | `getSrcEndingPort()`
`IpAddress` | `getSrcMask()`
`int` | `getSrcStartingPort()`
`int` | `getTypeOfService()`
`boolean` | `hasDestEndingPort()`
`boolean` | `hasDestMask()`
`boolean` | `hasDestStartingPort()`
`boolean` | `hasDirection()`
`boolean` | `hasDirectionIndex()`
`boolean` | `hasDstAddressList()`
`boolean` | `hasIntf()`
`boolean` | `hasIntfIndex()`
`boolean` | `hasIntfName()`
`boolean` | `hasIpProtocol()`
`boolean` | `hasParent()`
`boolean` | `hasRuleAction()`
`boolean` | `hasRuleIndex()`
`boolean` | `hasServiceList()`
`boolean` | `hasServiceName()`
`boolean` | `hasSrcAddressList()`
`boolean` | `hasSrcEndingPort()`
`boolean` | `hasSrcMask()`
`boolean` | `hasSrcStartingPort()`
`boolean` | `hasTypeOfService()`
`void` | `setDestEndingPort(int i)`
`void` | `setDestMask(IpAddress address)`
`void` | `setDestStartingPort(int i)`
`void` | `setDirection(java.lang.String string)`
`void` | `setDirectionIndex(int dirIndex)`
`void` | `setDstAddressList(IpAddress[] address)`
`void` | `setIntf(L2Interface interface1)`
`void` | `setIntfIndex(int ifidx)`
`void` | `setIntfName(java.lang.String ifname)`
`void` | `setIpProtocol(int i)`
`void` | `setParent(Acl acl)`
`void` | `setRuleAction(java.lang.String string)`
`void` | `setRuleIndex(int i)`
`void` | `setServiceList(NetworkService[] services)`
`void` | `setServiceName(java.lang.String svcName)`
`void` | `setSrcAddressList(IpAddress[] address)`
`void` | `setSrcEndingPort(int i)`
`void` | `setSrcMask(IpAddress address)`
`void` | `setSrcStartingPort(int i)`
`void` | `setTypeOfService(int i)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getSrcAddressList

    IpAddress[] getSrcAddressList()
                                  throws AttributeNotSetException

  Acls contain a set of Rules

  Returns:
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AppliesFrom" reverse="false"

### hasSrcAddressList

    boolean hasSrcAddressList()

### setSrcAddressList

    void setSrcAddressList(IpAddress[] address)

### getDstAddressList

    IpAddress[] getDstAddressList()
                                  throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ControlsAccessTo" reverse="false"

### hasDstAddressList

    boolean hasDstAddressList()

### setDstAddressList

    void setDstAddressList(IpAddress[] address)

### getServiceList

    NetworkService[] getServiceList()
                                    throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Authorizes" reverse="false"

### hasServiceList

    boolean hasServiceList()

### setServiceList

    void setServiceList(NetworkService[] services)

### getParent

    Acl getParent()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setParent

    void setParent(Acl acl)

### getDestEndingPort

    int getDestEndingPort()
                          throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`

### hasDestEndingPort

    boolean hasDestEndingPort()

### setDestEndingPort

    void setDestEndingPort(int i)

### getDestMask

    IpAddress getDestMask()
                          throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### hasDestMask

    boolean hasDestMask()

### setDestMask

    void setDestMask(IpAddress address)

### getDestStartingPort

    int getDestStartingPort()
                            throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`

### hasDestStartingPort

    boolean hasDestStartingPort()

### setDestStartingPort

    void setDestStartingPort(int i)

### getDirection

    java.lang.String getDirection()
                                  throws AttributeNotSetException

  Display string for the UI

  Returns:
  Throws:
    `AttributeNotSetException`

### hasDirection

    boolean hasDirection()

### setDirection

    void setDirection(java.lang.String string)

### getDirectionIndex

    int getDirectionIndex()
                          throws AttributeNotSetException

  Returns:
    for the key
  Throws:
    `AttributeNotSetException`

### hasDirectionIndex

    boolean hasDirectionIndex()

### setDirectionIndex

    void setDirectionIndex(int dirIndex)

### getIntf

    L2Interface getIntf()
                        throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ControlsAccess" reverse="false"

### hasIntf

    boolean hasIntf()

### setIntf

    void setIntf(L2Interface interface1)

### getIntfIndex

    int getIntfIndex()
                     throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`

### hasIntfIndex

    boolean hasIntfIndex()

### setIntfIndex

    void setIntfIndex(int ifidx)

### getIntfName

    java.lang.String getIntfName()
                                 throws AttributeNotSetException

  Returns:
    for the UI
  Throws:
    `AttributeNotSetException`

### hasIntfName

    boolean hasIntfName()

### setIntfName

    void setIntfName(java.lang.String ifname)

### getIpProtocol

    int getIpProtocol()
                      throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`

### hasIpProtocol

    boolean hasIpProtocol()

### setIpProtocol

    void setIpProtocol(int i)

### getRuleAction

    java.lang.String getRuleAction()
                                   throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`

### hasRuleAction

    boolean hasRuleAction()

### setRuleAction

    void setRuleAction(java.lang.String string)

### getRuleIndex

    int getRuleIndex()
                     throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`

### hasRuleIndex

    boolean hasRuleIndex()

### setRuleIndex

    void setRuleIndex(int i)

### getSrcEndingPort

    int getSrcEndingPort()
                         throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`

### hasSrcEndingPort

    boolean hasSrcEndingPort()

### setSrcEndingPort

    void setSrcEndingPort(int i)

### getSrcMask

    IpAddress getSrcMask()
                         throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### hasSrcMask

    boolean hasSrcMask()

### setSrcMask

    void setSrcMask(IpAddress address)

### getSrcStartingPort

    int getSrcStartingPort()
                           throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`

### hasSrcStartingPort

    boolean hasSrcStartingPort()

### setSrcStartingPort

    void setSrcStartingPort(int i)

### getTypeOfService

    int getTypeOfService()
                         throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`

### hasTypeOfService

    boolean hasTypeOfService()

### setTypeOfService

    void setTypeOfService(int i)

### getServiceName

    java.lang.String getServiceName()
                                    throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`

### setServiceName

    void setServiceName(java.lang.String svcName)

### hasServiceName

    boolean hasServiceName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD